Skip to main content

GET /traditional-transfer-of-reads/v1/{mpid}/{request_id}/active-disputes

Returns all active disputes for a traditional transfer-of-reads request.

Request

Method and path:

  • GET /traditional-transfer-of-reads/v1/{mpid}/{request_id}/active-disputes

Headers:

  • X-API-KEY (required): string, API key in UUID format.

Path parameters:

  • mpid (required): string supplier MPID.
  • request_id (required): UUID for the transfer-of-reads process.

Request body:

  • None.

Response

Success:

  • 200 OK
  • Body type: ReadingsDisputeResponseSchema[]
[
{
"id": "62d87bd2-e2d5-4c24-8b32-b1812ef0a95a",
"ttor_fk": "72f30f06-afcc-4ad8-8c1f-78e556ea9cbc",
"dispute_type": "D",
"additional_information": "Reading disputed after investigation",
"record_rejection_reason_indicator": null,
"dispute_messages": [
{
"id": "7728ba1b-f75d-4df6-bd9b-5f927c0da5db",
"sender_mpid": "ABCD",
"receiver_mpid": "WXYZ",
"meter_id": "A123456789",
"register_id": "01",
"initial_dispute": true,
"disputed_reading_value": "100190092.5",
"proposed_reading_value": "100190090.0",
"proposed_reading_type": "W",
"proposal_status": "P",
"created": "2026-03-11T14:04:22+00:00",
"updated": "2026-03-11T14:04:22+00:00"
}
],
"created": "2026-03-11T14:04:22+00:00",
"updated": "2026-03-11T14:04:22+00:00"
}
]

If no disputes exist:

  • 200 OK with []

Field-level constraints: